Skip to main content
GET
List inventory balances

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

itemId
string
locationId
string
minQty
integer
Required range: x >= 0
groupBy
enum<string>
Available options:
item,
location
page
integer
default:1
Required range: x >= 1
pageSize
integer
default:200
Required range: 1 <= x <= 500

Response

A list of inventory balances

id
string
required
itemId
string
required
locationId
string
required
onHandQty
integer
required
item
object
location
object